Skip to main content
POST
/
api
/
services
/
pricing
Create, update, or delete a service price
curl --request POST \
  --url https://api.propops.app/api/services/pricing \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "create",
  "csrf_token": "abc123def456",
  "service_name": "Boiler Service",
  "service_category": "Gas & Heating",
  "unit_price": 85,
  "vat_rate": 20,
  "service_id": 1
}
'
{
  "success": true,
  "message": "Operation completed successfully"
}

Authorizations

Authorization
string
header
required

All API requests must include a valid Bearer token in the Authorization header. Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.

Example:

Authorization: Bearer a1b2c3d4e5f6...

Body

application/json
action
enum<string>
required
Available options:
create,
update,
delete
csrf_token
string
required
Example:

"abc123def456"

service_name
string
Example:

"Boiler Service"

service_category
string
Example:

"Gas & Heating"

unit_price
number<float>
Example:

85

vat_rate
number<float>
Example:

20

service_id
integer
Example:

1

Response

Service price updated

success
boolean
Example:

true

message
string
Example:

"Operation completed successfully"